:root {
  --cursor-color: rgba(255, 255, 255, 0.2);

  --glass: rgba(255, 255, 255, 0.3);
  --glass-07: rgba(255, 255, 255, 0.7);

  --glass-border: 5px solid #fff;
  --glass-border-05: 5px solid rgba(255, 255, 255, 0.5);

  --glass-backdrop: blur(2px);

  --radius-50: 50%;
  --radius-normal: 16px;
  --radius-small: 8px;

  --z-index-99: 99999999;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
  color: #444;
  line-height: 1.6;

  width: 100dvw;
  height: 100dvh;

  background: linear-gradient(var(--glass-07), var(--glass-07)),
    url("https://images.unsplash.com/photo-1506744038136-46273834b3fb?auto=format&fit=crop&w=1470&q=80")
      no-repeat center center fixed;
  background-size: cover;

  overflow-x: hidden;
}

main {
  width: 100%;

  display: flex;
  flex-direction: column;

  justify-content: center;
  justify-items: center;
  align-content: center;
  align-items: center;

  gap: 1rem;
  padding: 1.5rem;
}

@font-face {
  font-family: "Orelo-sw-db";
  src: url("/fonts.otf") format("opentype");
  font-weight: inherit;
  font-style: inherit;
}

@keyframes slideUp {
  from {
    transform: translateY(30px);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes slideRight {
  from {
    transform: translateX(-30px);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}
